#property indicator_chart_window

extern string UniqueID         = "Lines1";
extern double LinesStepPips    = 50;
extern int    LinesAbove       = 50;
extern int    LinesBellow      = 50;
extern color  LinesAboveColor  = LimeGreen;
extern color  LinesBellowColor = DeepSkyBlue;
extern color  LinesMiddleColor = Blue;
extern int    LinesMiddleWidth = 2;
extern int    LinesAboveWidth  = 0;
extern int    LinesBellowWidth = 0;
extern double StartingPrice    = 0;

//
//
//
//
//

int init()   { return(0); }
int deinit()
{
   string lookFor = UniqueID+":";
   for (int i= ObjectsTotal()-1; i>= 0; i--)
   {
      string name = ObjectName(i); if (StringFind(name,lookFor,0)==0) ObjectDelete(name);
   }
   return(0); 
}
int start()
{
   int i; double step = LinesStepPips*_Point*MathPow(10,_Digits%2);
   
      if (StartingPrice==0) StartingPrice = Close[0];

      //
      //
      //
      //
      //
      
      createLine("middle",StartingPrice,LinesMiddleColor,LinesMiddleWidth);
         for (i = 0; i < LinesAbove;  i++) createLine("above"+i ,StartingPrice+(i+1)*step,LinesAboveColor ,LinesAboveWidth);
         for (i = 0; i < LinesBellow; i++) createLine("bellow"+i,StartingPrice-(i+1)*step,LinesBellowColor,LinesBellowWidth);
   return(0);
}

void createLine(string add, double price, color lineColor, int lineWidth)
{
   string name = UniqueID+":"+add;
   ObjectCreate(name,OBJ_HLINE,0,0,0);
      ObjectSet(name,OBJPROP_PRICE1,price);
      ObjectSet(name,OBJPROP_COLOR,lineColor);
      ObjectSet(name,OBJPROP_BACK,true);
      ObjectSet(name,OBJPROP_WIDTH,lineWidth);
}